Package org.globus.io.streams

# Class GridFTPInputStream

java.lang.Object
java.io.InputStream
org.globus.io.streams.GlobusInputStream
org.globus.io.streams.FTPInputStream
org.globus.io.streams.GridFTPInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class GridFTPInputStream extends FTPInputStream

## Field Summary

### Fields inherited from class org.globus.io.streams.FTPInputStream

`ftp, input, state`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPInputStream(GSSCredential cred, String host, int port, String file)`
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean reqDCAU)`
`GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean passive, int type, boolean reqDCAU)`

## Method Summary

### Methods inherited from class org.globus.io.streams.FTPInputStream

`abort, available, close, get, getSize, read, read, read`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridFTPInputStream

public GridFTPInputStream(GSSCredential cred, String host, int port, String file) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPInputStream

public GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean reqDCAU) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPInputStream

public GridFTPInputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean passive, int type, boolean reqDCAU) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`